<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.9) on Wed Oct 28 16:08:51 UTC 2020 -->
<title>mxGraphGenerator (JGraph X 4.2.2 API Specification)</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-10-28">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
<script type="text/javascript" src="../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../jquery/jquery-3.5.1.js"></script>
<script type="text/javascript" src="../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="mxGraphGenerator (JGraph X 4.2.2 API Specification)";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":9,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10,"i24":10,"i25":10,"i26":10,"i27":10,"i28":10,"i29":10,"i30":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/mxGraphGenerator.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage"><p><b>JGraph X 4.2.2</b></p></div>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">import hk.quantr.mxgraph.analysis</a></div>
<h2 title="Class mxGraphGenerator" class="title">Class mxGraphGenerator</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>import hk.quantr.mxgraph.analysis.mxGraphGenerator</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<pre>public class <span class="typeNameLabel">mxGraphGenerator</span>
extends java.lang.Object</pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E(import hk.quantr.mxgraph.generatorfunction.mxGeneratorFunction,import hk.quantr.mxgraph.costfunction.mxCostFunction)">mxGraphGenerator</a></span>&#8203;(<a href="../generatorfunction/mxGeneratorFunction.html" title="class in import hk.quantr.mxgraph.generatorfunction">mxGeneratorFunction</a>&nbsp;generatorFunction,
                <a href="../costfunction/mxCostFunction.html" title="class in import hk.quantr.mxgraph.costfunction">mxCostFunction</a>&nbsp;costFunction)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getBipartiteGraph(import hk.quantr.mxgraph.analysis.mxAnalysisGraph,int,int)">getBipartiteGraph</a></span>&#8203;(<a href="mxAnalysisGraph.html" title="class in import hk.quantr.mxgraph.analysis">mxAnalysisGraph</a>&nbsp;aGraph,
                 int&nbsp;numVerticesGroup1,
                 int&nbsp;numVerticesGroup2)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getCompleteBipartiteGraph(import hk.quantr.mxgraph.analysis.mxAnalysisGraph,int,int)">getCompleteBipartiteGraph</a></span>&#8203;(<a href="mxAnalysisGraph.html" title="class in import hk.quantr.mxgraph.analysis">mxAnalysisGraph</a>&nbsp;aGraph,
                         int&nbsp;numVerticesGroup1,
                         int&nbsp;numVerticesGroup2)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getCompleteGraph(import hk.quantr.mxgraph.analysis.mxAnalysisGraph,int)">getCompleteGraph</a></span>&#8203;(<a href="mxAnalysisGraph.html" title="class in import hk.quantr.mxgraph.analysis">mxAnalysisGraph</a>&nbsp;aGraph,
                int&nbsp;numVertices)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="../costfunction/mxCostFunction.html" title="class in import hk.quantr.mxgraph.costfunction">mxCostFunction</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getCostFunction()">getCostFunction</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getFriendshipWindmillGraph(import hk.quantr.mxgraph.analysis.mxAnalysisGraph,int,int)">getFriendshipWindmillGraph</a></span>&#8203;(<a href="mxAnalysisGraph.html" title="class in import hk.quantr.mxgraph.analysis">mxAnalysisGraph</a>&nbsp;aGraph,
                          int&nbsp;numBranches,
                          int&nbsp;branchSize)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="../generatorfunction/mxGeneratorFunction.html" title="class in import hk.quantr.mxgraph.generatorfunction">mxGeneratorFunction</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getGeneratorFunction()">getGeneratorFunction</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>static <a href="../generatorfunction/mxGeneratorFunction.html" title="class in import hk.quantr.mxgraph.generatorfunction">mxGeneratorFunction</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getGeneratorFunction(import hk.quantr.mxgraph.view.mxGraph,boolean,double,double)">getGeneratorFunction</a></span>&#8203;(<a href="../view/mxGraph.html" title="class in import hk.quantr.mxgraph.view">mxGraph</a>&nbsp;graph,
                    boolean&nbsp;weighted,
                    double&nbsp;minWeight,
                    double&nbsp;maxWeight)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getGridGraph(import hk.quantr.mxgraph.analysis.mxAnalysisGraph,int,int)">getGridGraph</a></span>&#8203;(<a href="mxAnalysisGraph.html" title="class in import hk.quantr.mxgraph.analysis">mxAnalysisGraph</a>&nbsp;aGraph,
            int&nbsp;numColumns,
            int&nbsp;numRows)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getKingGraph(import hk.quantr.mxgraph.analysis.mxAnalysisGraph,int,int)">getKingGraph</a></span>&#8203;(<a href="mxAnalysisGraph.html" title="class in import hk.quantr.mxgraph.analysis">mxAnalysisGraph</a>&nbsp;aGraph,
            int&nbsp;xDim,
            int&nbsp;yDim)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>java.lang.Object[]</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getKingMoveVertexes(import hk.quantr.mxgraph.analysis.mxAnalysisGraph,int,int,int,int)">getKingMoveVertexes</a></span>&#8203;(<a href="mxAnalysisGraph.html" title="class in import hk.quantr.mxgraph.analysis">mxAnalysisGraph</a>&nbsp;aGraph,
                   int&nbsp;xDim,
                   int&nbsp;yDim,
                   int&nbsp;xCoord,
                   int&nbsp;yCoord)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getKnightGraph(import hk.quantr.mxgraph.analysis.mxAnalysisGraph,int,int)">getKnightGraph</a></span>&#8203;(<a href="mxAnalysisGraph.html" title="class in import hk.quantr.mxgraph.analysis">mxAnalysisGraph</a>&nbsp;aGraph,
              int&nbsp;xDim,
              int&nbsp;yDim)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>java.lang.Object[]</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getKnightMoveVertexes(import hk.quantr.mxgraph.analysis.mxAnalysisGraph,int,int,int,int)">getKnightMoveVertexes</a></span>&#8203;(<a href="mxAnalysisGraph.html" title="class in import hk.quantr.mxgraph.analysis">mxAnalysisGraph</a>&nbsp;aGraph,
                     int&nbsp;xDim,
                     int&nbsp;yDim,
                     int&nbsp;xCoord,
                     int&nbsp;yCoord)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getKnightTour(import hk.quantr.mxgraph.analysis.mxAnalysisGraph,int,int,int)">getKnightTour</a></span>&#8203;(<a href="mxAnalysisGraph.html" title="class in import hk.quantr.mxgraph.analysis">mxAnalysisGraph</a>&nbsp;aGraph,
             int&nbsp;xDim,
             int&nbsp;yDim,
             int&nbsp;startVertexValue)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>java.lang.Double</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getNewEdgeValue(import hk.quantr.mxgraph.analysis.mxAnalysisGraph)">getNewEdgeValue</a></span>&#8203;(<a href="mxAnalysisGraph.html" title="class in import hk.quantr.mxgraph.analysis">mxAnalysisGraph</a>&nbsp;aGraph)</code></th>
<td class="colLast">
<div class="block">Creates a new edge value based on graph properties in mxAnalysisGraph.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getNullGraph(import hk.quantr.mxgraph.analysis.mxAnalysisGraph,int)">getNullGraph</a></span>&#8203;(<a href="mxAnalysisGraph.html" title="class in import hk.quantr.mxgraph.analysis">mxAnalysisGraph</a>&nbsp;aGraph,
            int&nbsp;numVertices)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getPathGraph(import hk.quantr.mxgraph.analysis.mxAnalysisGraph,int)">getPathGraph</a></span>&#8203;(<a href="mxAnalysisGraph.html" title="class in import hk.quantr.mxgraph.analysis">mxAnalysisGraph</a>&nbsp;aGraph,
            int&nbsp;numVertices)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getPetersenGraph(import hk.quantr.mxgraph.analysis.mxAnalysisGraph)">getPetersenGraph</a></span>&#8203;(<a href="mxAnalysisGraph.html" title="class in import hk.quantr.mxgraph.analysis">mxAnalysisGraph</a>&nbsp;aGraph)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getRandomInt(int,int)">getRandomInt</a></span>&#8203;(int&nbsp;minValue,
            int&nbsp;maxValue)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getSimpleRandomGraph(import hk.quantr.mxgraph.analysis.mxAnalysisGraph,int,int,boolean,boolean,boolean)">getSimpleRandomGraph</a></span>&#8203;(<a href="mxAnalysisGraph.html" title="class in import hk.quantr.mxgraph.analysis">mxAnalysisGraph</a>&nbsp;aGraph,
                    int&nbsp;numNodes,
                    int&nbsp;numEdges,
                    boolean&nbsp;allowSelfLoops,
                    boolean&nbsp;allowMultipleEdges,
                    boolean&nbsp;forceConnected)</code></th>
<td class="colLast">
<div class="block">Generates a random graph</div>
</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getSimpleRandomTree(import hk.quantr.mxgraph.analysis.mxAnalysisGraph,int)">getSimpleRandomTree</a></span>&#8203;(<a href="mxAnalysisGraph.html" title="class in import hk.quantr.mxgraph.analysis">mxAnalysisGraph</a>&nbsp;aGraph,
                   int&nbsp;vertexCount)</code></th>
<td class="colLast">
<div class="block">Generates a random tree graph</div>
</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getStarGraph(import hk.quantr.mxgraph.analysis.mxAnalysisGraph,int)">getStarGraph</a></span>&#8203;(<a href="mxAnalysisGraph.html" title="class in import hk.quantr.mxgraph.analysis">mxAnalysisGraph</a>&nbsp;aGraph,
            int&nbsp;numVertices)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code>int[]</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getVertexGridCoords(int,int,int)">getVertexGridCoords</a></span>&#8203;(int&nbsp;xDim,
                   int&nbsp;yDim,
                   int&nbsp;value)</code></th>
<td class="colLast">
<div class="block">use this only with the grid graph, and various chess-board graphs, because of vertex ordering</div>
</td>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getWheelGraph(import hk.quantr.mxgraph.analysis.mxAnalysisGraph,int)">getWheelGraph</a></span>&#8203;(<a href="mxAnalysisGraph.html" title="class in import hk.quantr.mxgraph.analysis">mxAnalysisGraph</a>&nbsp;aGraph,
             int&nbsp;numVertices)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i23" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getWindmillGraph(import hk.quantr.mxgraph.analysis.mxAnalysisGraph,int,int)">getWindmillGraph</a></span>&#8203;(<a href="mxAnalysisGraph.html" title="class in import hk.quantr.mxgraph.analysis">mxAnalysisGraph</a>&nbsp;aGraph,
                int&nbsp;numBranches,
                int&nbsp;branchSize)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i24" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#oneSpanningTree(import hk.quantr.mxgraph.analysis.mxAnalysisGraph,boolean,boolean)">oneSpanningTree</a></span>&#8203;(<a href="mxAnalysisGraph.html" title="class in import hk.quantr.mxgraph.analysis">mxAnalysisGraph</a>&nbsp;aGraph,
               boolean&nbsp;forceConnected,
               boolean&nbsp;forceSimple)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i25" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setBipartiteGraphSpacing(import hk.quantr.mxgraph.analysis.mxAnalysisGraph,int,int,double,double)">setBipartiteGraphSpacing</a></span>&#8203;(<a href="mxAnalysisGraph.html" title="class in import hk.quantr.mxgraph.analysis">mxAnalysisGraph</a>&nbsp;aGraph,
                        int&nbsp;numVerticesGroup1,
                        int&nbsp;numVerticesGroup2,
                        double&nbsp;vertexSpacing,
                        double&nbsp;groupSpacing)</code></th>
<td class="colLast">
<div class="block">Sets the physical spacing between vertices in a bipartite graph.</div>
</td>
</tr>
<tr id="i26" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setCostFunction(import hk.quantr.mxgraph.costfunction.mxCostFunction)">setCostFunction</a></span>&#8203;(<a href="../costfunction/mxCostFunction.html" title="class in import hk.quantr.mxgraph.costfunction">mxCostFunction</a>&nbsp;costFunction)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i27" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setGridGraphSpacing(import hk.quantr.mxgraph.analysis.mxAnalysisGraph,double,double,int,int)">setGridGraphSpacing</a></span>&#8203;(<a href="mxAnalysisGraph.html" title="class in import hk.quantr.mxgraph.analysis">mxAnalysisGraph</a>&nbsp;aGraph,
                   double&nbsp;xSpacing,
                   double&nbsp;ySpacing,
                   int&nbsp;numColumns,
                   int&nbsp;numRows)</code></th>
<td class="colLast">
<div class="block">Sets the physical spacing between vertices in a grid graph.</div>
</td>
</tr>
<tr id="i28" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setPathGraphSpacing(import hk.quantr.mxgraph.analysis.mxAnalysisGraph,double)">setPathGraphSpacing</a></span>&#8203;(<a href="mxAnalysisGraph.html" title="class in import hk.quantr.mxgraph.analysis">mxAnalysisGraph</a>&nbsp;aGraph,
                   double&nbsp;spacing)</code></th>
<td class="colLast">
<div class="block">Sets the physical spacing between vertices in a path graph.</div>
</td>
</tr>
<tr id="i29" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setStarGraphLayout(import hk.quantr.mxgraph.analysis.mxAnalysisGraph,double)">setStarGraphLayout</a></span>&#8203;(<a href="mxAnalysisGraph.html" title="class in import hk.quantr.mxgraph.analysis">mxAnalysisGraph</a>&nbsp;aGraph,
                  double&nbsp;graphSize)</code></th>
<td class="colLast">
<div class="block">Sets the physical size of a star graph.</div>
</td>
</tr>
<tr id="i30" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setWindmillGraphLayout(import hk.quantr.mxgraph.analysis.mxAnalysisGraph,int,int,double)">setWindmillGraphLayout</a></span>&#8203;(<a href="mxAnalysisGraph.html" title="class in import hk.quantr.mxgraph.analysis">mxAnalysisGraph</a>&nbsp;aGraph,
                      int&nbsp;numBranches,
                      int&nbsp;numVerticesInBranch,
                      double&nbsp;graphSize)</code></th>
<td class="colLast">
<div class="block">Sets the layout of a windmill graph.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;(import hk.quantr.mxgraph.generatorfunction.mxGeneratorFunction,import hk.quantr.mxgraph.costfunction.mxCostFunction)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>mxGraphGenerator</h4>
<pre>public&nbsp;mxGraphGenerator&#8203;(<a href="../generatorfunction/mxGeneratorFunction.html" title="class in import hk.quantr.mxgraph.generatorfunction">mxGeneratorFunction</a>&nbsp;generatorFunction,
                        <a href="../costfunction/mxCostFunction.html" title="class in import hk.quantr.mxgraph.costfunction">mxCostFunction</a>&nbsp;costFunction)</pre>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="getNullGraph(import hk.quantr.mxgraph.analysis.mxAnalysisGraph,int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNullGraph</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;getNullGraph&#8203;(<a href="mxAnalysisGraph.html" title="class in import hk.quantr.mxgraph.analysis">mxAnalysisGraph</a>&nbsp;aGraph,
                         int&nbsp;numVertices)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>aGraph</code> - </dd>
<dd><code>numVertexes</code> - </dd>
</dl>
</li>
</ul>
<a id="getCompleteGraph(import hk.quantr.mxgraph.analysis.mxAnalysisGraph,int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCompleteGraph</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;getCompleteGraph&#8203;(<a href="mxAnalysisGraph.html" title="class in import hk.quantr.mxgraph.analysis">mxAnalysisGraph</a>&nbsp;aGraph,
                             int&nbsp;numVertices)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>aGraph</code> - </dd>
<dd><code>numVertices</code> - number of vertices</dd>
</dl>
</li>
</ul>
<a id="getGridGraph(import hk.quantr.mxgraph.analysis.mxAnalysisGraph,int,int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getGridGraph</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;getGridGraph&#8203;(<a href="mxAnalysisGraph.html" title="class in import hk.quantr.mxgraph.analysis">mxAnalysisGraph</a>&nbsp;aGraph,
                         int&nbsp;numColumns,
                         int&nbsp;numRows)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>aGraph</code> - </dd>
<dd><code>numRows</code> - - number of rows in the grid graph</dd>
<dd><code>numColumns</code> - - number of columns in the grid graph</dd>
</dl>
</li>
</ul>
<a id="setGridGraphSpacing(import hk.quantr.mxgraph.analysis.mxAnalysisGraph,double,double,int,int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setGridGraphSpacing</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setGridGraphSpacing&#8203;(<a href="mxAnalysisGraph.html" title="class in import hk.quantr.mxgraph.analysis">mxAnalysisGraph</a>&nbsp;aGraph,
                                double&nbsp;xSpacing,
                                double&nbsp;ySpacing,
                                int&nbsp;numColumns,
                                int&nbsp;numRows)</pre>
<div class="block">Sets the physical spacing between vertices in a grid graph. This works for now only for a graph generated with mxGraphCreator.getGridGraph() only after creating the graph</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>aGraph</code> - </dd>
<dd><code>xSpacing</code> - - horizontal spacing between vertices</dd>
<dd><code>ySpacing</code> - - vertical spacing between vertices</dd>
<dd><code>numRows</code> - - number of rows in the grid graph</dd>
<dd><code>numColumns</code> - - number of columns in the grid graph</dd>
</dl>
</li>
</ul>
<a id="getBipartiteGraph(import hk.quantr.mxgraph.analysis.mxAnalysisGraph,int,int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBipartiteGraph</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;getBipartiteGraph&#8203;(<a href="mxAnalysisGraph.html" title="class in import hk.quantr.mxgraph.analysis">mxAnalysisGraph</a>&nbsp;aGraph,
                              int&nbsp;numVerticesGroup1,
                              int&nbsp;numVerticesGroup2)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>aGraph</code> - </dd>
<dd><code>numVerticesGroup1</code> - number of vertices in group 1</dd>
<dd><code>numVerticesGroup2</code> - number of vertices in group 2</dd>
</dl>
</li>
</ul>
<a id="setBipartiteGraphSpacing(import hk.quantr.mxgraph.analysis.mxAnalysisGraph,int,int,double,double)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setBipartiteGraphSpacing</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setBipartiteGraphSpacing&#8203;(<a href="mxAnalysisGraph.html" title="class in import hk.quantr.mxgraph.analysis">mxAnalysisGraph</a>&nbsp;aGraph,
                                     int&nbsp;numVerticesGroup1,
                                     int&nbsp;numVerticesGroup2,
                                     double&nbsp;vertexSpacing,
                                     double&nbsp;groupSpacing)</pre>
<div class="block">Sets the physical spacing between vertices in a bipartite graph. This works for now only for a graph generated with mxGraphCreator.getBipartiteGraph() 
 only after creating the graph</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>aGraph</code> - </dd>
<dd><code>numVerticesGroup1</code> - - number of vertices in group 1</dd>
<dd><code>numVerticesGroup2</code> - - number of vertices in group 2</dd>
<dd><code>vertexSpacing</code> - - vertical spacing between vertices in the same group</dd>
<dd><code>groupSpacing</code> - - spacing between groups</dd>
</dl>
</li>
</ul>
<a id="getCompleteBipartiteGraph(import hk.quantr.mxgraph.analysis.mxAnalysisGraph,int,int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCompleteBipartiteGraph</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;getCompleteBipartiteGraph&#8203;(<a href="mxAnalysisGraph.html" title="class in import hk.quantr.mxgraph.analysis">mxAnalysisGraph</a>&nbsp;aGraph,
                                      int&nbsp;numVerticesGroup1,
                                      int&nbsp;numVerticesGroup2)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>aGraph</code> - </dd>
<dd><code>numVerticesGroup1</code> - number of vertices in group 1</dd>
<dd><code>numVerticesGroup2</code> - number of vertices in group 2</dd>
</dl>
</li>
</ul>
<a id="getKnightGraph(import hk.quantr.mxgraph.analysis.mxAnalysisGraph,int,int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getKnightGraph</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;getKnightGraph&#8203;(<a href="mxAnalysisGraph.html" title="class in import hk.quantr.mxgraph.analysis">mxAnalysisGraph</a>&nbsp;aGraph,
                           int&nbsp;xDim,
                           int&nbsp;yDim)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>aGraph</code> - </dd>
<dd><code>xDim</code> - </dd>
<dd><code>yDim</code> - </dd>
</dl>
</li>
</ul>
<a id="getKnightMoveVertexes(import hk.quantr.mxgraph.analysis.mxAnalysisGraph,int,int,int,int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getKnightMoveVertexes</h4>
<pre class="methodSignature">public&nbsp;java.lang.Object[]&nbsp;getKnightMoveVertexes&#8203;(<a href="mxAnalysisGraph.html" title="class in import hk.quantr.mxgraph.analysis">mxAnalysisGraph</a>&nbsp;aGraph,
                                                int&nbsp;xDim,
                                                int&nbsp;yDim,
                                                int&nbsp;xCoord,
                                                int&nbsp;yCoord)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>aGraph</code> - </dd>
<dd><code>xDim</code> - x dimension of chess-board, size starts from 1</dd>
<dd><code>yDim</code> - y dimension of chess-board, size starts from 1</dd>
<dd><code>xCoord</code> - x coordinate on the chess-board, coordinate starts from 1</dd>
<dd><code>yCoord</code> - y coordinate on the chess-board, coordinate starts from 1</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a list of ALL vertexes which would be valid moves from the current position, regardless if they were visited or not
 Note that both dimensions and both coordinates must be positive</dd>
</dl>
</li>
</ul>
<a id="getVertexGridCoords(int,int,int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getVertexGridCoords</h4>
<pre class="methodSignature">public&nbsp;int[]&nbsp;getVertexGridCoords&#8203;(int&nbsp;xDim,
                                 int&nbsp;yDim,
                                 int&nbsp;value)</pre>
<div class="block">use this only with the grid graph, and various chess-board graphs, because of vertex ordering</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>xDim</code> - x dimension of chess-board, size starts from 1</dd>
<dd><code>yDim</code> - y dimension of chess-board, size starts from 1</dd>
<dd><code>value</code> - value of the vertex that needs coordinates returned</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>int[x,y] where x and y are the coordinates in the grid or chess-board
 Note that both dimensions must be positive</dd>
</dl>
</li>
</ul>
<a id="getKingGraph(import hk.quantr.mxgraph.analysis.mxAnalysisGraph,int,int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getKingGraph</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;getKingGraph&#8203;(<a href="mxAnalysisGraph.html" title="class in import hk.quantr.mxgraph.analysis">mxAnalysisGraph</a>&nbsp;aGraph,
                         int&nbsp;xDim,
                         int&nbsp;yDim)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>xDim</code> - </dd>
<dd><code>yDim</code> - </dd>
<dd><code>weights</code> - Return a king graph of size <b>xDim</b> x <b>yDim</b>
 Note that the minimum size is 4x4</dd>
</dl>
</li>
</ul>
<a id="getKingMoveVertexes(import hk.quantr.mxgraph.analysis.mxAnalysisGraph,int,int,int,int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getKingMoveVertexes</h4>
<pre class="methodSignature">public&nbsp;java.lang.Object[]&nbsp;getKingMoveVertexes&#8203;(<a href="mxAnalysisGraph.html" title="class in import hk.quantr.mxgraph.analysis">mxAnalysisGraph</a>&nbsp;aGraph,
                                              int&nbsp;xDim,
                                              int&nbsp;yDim,
                                              int&nbsp;xCoord,
                                              int&nbsp;yCoord)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>aGraph</code> - </dd>
<dd><code>xDim</code> - x dimension of the chessboard</dd>
<dd><code>yDim</code> - y dimension of the chessboard</dd>
<dd><code>xCoord</code> - the current x position of the king</dd>
<dd><code>yCoord</code> - the current y position of the king</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>list of all possible moves of a king from the specified position
 Note that both dimensions and both coordinates must be positive</dd>
</dl>
</li>
</ul>
<a id="getPetersenGraph(import hk.quantr.mxgraph.analysis.mxAnalysisGraph)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPetersenGraph</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;getPetersenGraph&#8203;(<a href="mxAnalysisGraph.html" title="class in import hk.quantr.mxgraph.analysis">mxAnalysisGraph</a>&nbsp;aGraph)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>aGraph</code> - Returns a Petersen graph</dd>
</dl>
</li>
</ul>
<a id="getPathGraph(import hk.quantr.mxgraph.analysis.mxAnalysisGraph,int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPathGraph</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;getPathGraph&#8203;(<a href="mxAnalysisGraph.html" title="class in import hk.quantr.mxgraph.analysis">mxAnalysisGraph</a>&nbsp;aGraph,
                         int&nbsp;numVertices)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>aGraph</code> - </dd>
<dd><code>numVertices</code> - Returns a path graph</dd>
</dl>
</li>
</ul>
<a id="setPathGraphSpacing(import hk.quantr.mxgraph.analysis.mxAnalysisGraph,double)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setPathGraphSpacing</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setPathGraphSpacing&#8203;(<a href="mxAnalysisGraph.html" title="class in import hk.quantr.mxgraph.analysis">mxAnalysisGraph</a>&nbsp;aGraph,
                                double&nbsp;spacing)</pre>
<div class="block">Sets the physical spacing between vertices in a path graph. This works for now only for a graph generated with mxGraphCreator.getPathGraph() 
 only after creating the graph</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>aGraph</code> - </dd>
<dd><code>spacing</code> - </dd>
</dl>
</li>
</ul>
<a id="getStarGraph(import hk.quantr.mxgraph.analysis.mxAnalysisGraph,int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getStarGraph</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;getStarGraph&#8203;(<a href="mxAnalysisGraph.html" title="class in import hk.quantr.mxgraph.analysis">mxAnalysisGraph</a>&nbsp;aGraph,
                         int&nbsp;numVertices)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>aGraph</code> - </dd>
<dd><code>numVertices</code> - Returns a star graph
 Note that minimum vertex number is 4</dd>
</dl>
</li>
</ul>
<a id="setStarGraphLayout(import hk.quantr.mxgraph.analysis.mxAnalysisGraph,double)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setStarGraphLayout</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setStarGraphLayout&#8203;(<a href="mxAnalysisGraph.html" title="class in import hk.quantr.mxgraph.analysis">mxAnalysisGraph</a>&nbsp;aGraph,
                               double&nbsp;graphSize)</pre>
<div class="block">Sets the physical size of a star graph. This works for now only for a graph generated with mxGraphCreator.getStarGraph() and getWheelGraph()</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>aGraph</code> - </dd>
<dd><code>graphSize</code> - </dd>
</dl>
</li>
</ul>
<a id="getWheelGraph(import hk.quantr.mxgraph.analysis.mxAnalysisGraph,int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getWheelGraph</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;getWheelGraph&#8203;(<a href="mxAnalysisGraph.html" title="class in import hk.quantr.mxgraph.analysis">mxAnalysisGraph</a>&nbsp;aGraph,
                          int&nbsp;numVertices)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>aGraph</code> - </dd>
<dd><code>numVertices</code> - Returns a wheel graph. Note that numVertices has to be at least 4.</dd>
</dl>
</li>
</ul>
<a id="getFriendshipWindmillGraph(import hk.quantr.mxgraph.analysis.mxAnalysisGraph,int,int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFriendshipWindmillGraph</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;getFriendshipWindmillGraph&#8203;(<a href="mxAnalysisGraph.html" title="class in import hk.quantr.mxgraph.analysis">mxAnalysisGraph</a>&nbsp;aGraph,
                                       int&nbsp;numBranches,
                                       int&nbsp;branchSize)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>aGraph</code> - </dd>
<dd><code>numBranches</code> - number of branches (minimum >= 2)</dd>
<dd><code>branchSize</code> - number of vertices in a single branch (minimum >= 2)
 Returns a friendship windmill graph (aka Dutch windmill)</dd>
</dl>
</li>
</ul>
<a id="getWindmillGraph(import hk.quantr.mxgraph.analysis.mxAnalysisGraph,int,int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getWindmillGraph</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;getWindmillGraph&#8203;(<a href="mxAnalysisGraph.html" title="class in import hk.quantr.mxgraph.analysis">mxAnalysisGraph</a>&nbsp;aGraph,
                             int&nbsp;numBranches,
                             int&nbsp;branchSize)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>aGraph</code> - </dd>
<dd><code>numBranches</code> - - number of branches (minimum >= 2)</dd>
<dd><code>branchSize</code> - - number of vertices in a single branch (minimum >= 2)
 Returns a windmill graph</dd>
</dl>
</li>
</ul>
<a id="setWindmillGraphLayout(import hk.quantr.mxgraph.analysis.mxAnalysisGraph,int,int,double)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setWindmillGraphLayout</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setWindmillGraphLayout&#8203;(<a href="mxAnalysisGraph.html" title="class in import hk.quantr.mxgraph.analysis">mxAnalysisGraph</a>&nbsp;aGraph,
                                   int&nbsp;numBranches,
                                   int&nbsp;numVerticesInBranch,
                                   double&nbsp;graphSize)</pre>
<div class="block">Sets the layout of a windmill graph. Use this method only for graphs generated with mxGraphGenerator.getWindmillGraph() and getFriendshitWindmillGraph()</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>aGraph</code> - </dd>
<dd><code>numBranches</code> - </dd>
<dd><code>numVerticesInBranch</code> - </dd>
<dd><code>graphSize</code> - </dd>
</dl>
</li>
</ul>
<a id="getSimpleRandomGraph(import hk.quantr.mxgraph.analysis.mxAnalysisGraph,int,int,boolean,boolean,boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSimpleRandomGraph</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;getSimpleRandomGraph&#8203;(<a href="mxAnalysisGraph.html" title="class in import hk.quantr.mxgraph.analysis">mxAnalysisGraph</a>&nbsp;aGraph,
                                 int&nbsp;numNodes,
                                 int&nbsp;numEdges,
                                 boolean&nbsp;allowSelfLoops,
                                 boolean&nbsp;allowMultipleEdges,
                                 boolean&nbsp;forceConnected)</pre>
<div class="block">Generates a random graph</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>aGraph</code> - </dd>
<dd><code>numNodes</code> - number of vertexes</dd>
<dd><code>numEdges</code> - number of edges (may be inaccurate if <b>forceConnected</b> is set to true</dd>
<dd><code>allowSelfLoops</code> - if true, there will be a chance that self loops will be generated too</dd>
<dd><code>allowMultipleEdges</code> - if true, there will be a chance that multiple edges will be generated (multiple edges between the same two vertices)</dd>
<dd><code>forceConnected</code> - if true the resulting graph will be always connected, but this may alter <b>numEdges</b></dd>
</dl>
</li>
</ul>
<a id="getSimpleRandomTree(import hk.quantr.mxgraph.analysis.mxAnalysisGraph,int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSimpleRandomTree</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;getSimpleRandomTree&#8203;(<a href="mxAnalysisGraph.html" title="class in import hk.quantr.mxgraph.analysis">mxAnalysisGraph</a>&nbsp;aGraph,
                                int&nbsp;vertexCount)</pre>
<div class="block">Generates a random tree graph</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>aGraph</code> - </dd>
<dd><code>vertexCount</code> - </dd>
</dl>
</li>
</ul>
<a id="getNewEdgeValue(import hk.quantr.mxgraph.analysis.mxAnalysisGraph)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNewEdgeValue</h4>
<pre class="methodSignature">public&nbsp;java.lang.Double&nbsp;getNewEdgeValue&#8203;(<a href="mxAnalysisGraph.html" title="class in import hk.quantr.mxgraph.analysis">mxAnalysisGraph</a>&nbsp;aGraph)</pre>
<div class="block">Creates a new edge value based on graph properties in mxAnalysisGraph. Used mostly when creating new edges during graph generation.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>aGraph</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a id="getGeneratorFunction(import hk.quantr.mxgraph.view.mxGraph,boolean,double,double)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getGeneratorFunction</h4>
<pre class="methodSignature">public static&nbsp;<a href="../generatorfunction/mxGeneratorFunction.html" title="class in import hk.quantr.mxgraph.generatorfunction">mxGeneratorFunction</a>&nbsp;getGeneratorFunction&#8203;(<a href="../view/mxGraph.html" title="class in import hk.quantr.mxgraph.view">mxGraph</a>&nbsp;graph,
                                                       boolean&nbsp;weighted,
                                                       double&nbsp;minWeight,
                                                       double&nbsp;maxWeight)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>graph</code> - </dd>
<dd><code>weighted</code> - if true, the edges will be weighted, otherwise all will have default value (1.0)</dd>
<dd><code>minWeight</code> - minimum edge weight if weighted</dd>
<dd><code>maxWeight</code> - maximum edge weight if weighted</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a generator function</dd>
</dl>
</li>
</ul>
<a id="getGeneratorFunction()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getGeneratorFunction</h4>
<pre class="methodSignature">public&nbsp;<a href="../generatorfunction/mxGeneratorFunction.html" title="class in import hk.quantr.mxgraph.generatorfunction">mxGeneratorFunction</a>&nbsp;getGeneratorFunction()</pre>
</li>
</ul>
<a id="getRandomInt(int,int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRandomInt</h4>
<pre class="methodSignature">public&nbsp;int&nbsp;getRandomInt&#8203;(int&nbsp;minValue,
                        int&nbsp;maxValue)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>minValue</code> - </dd>
<dd><code>maxValue</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a random integer in the interval [minValue, maxValue]</dd>
</dl>
</li>
</ul>
<a id="oneSpanningTree(import hk.quantr.mxgraph.analysis.mxAnalysisGraph,boolean,boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>oneSpanningTree</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;oneSpanningTree&#8203;(<a href="mxAnalysisGraph.html" title="class in import hk.quantr.mxgraph.analysis">mxAnalysisGraph</a>&nbsp;aGraph,
                            boolean&nbsp;forceConnected,
                            boolean&nbsp;forceSimple)
                     throws <a href="StructuralException.html" title="class in import hk.quantr.mxgraph.analysis">StructuralException</a></pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>graph</code> - </dd>
<dd><code>forceConnected</code> - if true, an unconnected graph is made connected</dd>
<dd><code>forceSimple</code> - if true, a non-simple graph is made simple
 Calculates one spanning tree of graph, which doesn't have to be but can be minimal
 (this is faster than minimal spanning tree, so if you need any spanning tree, use this one)
 Self loops and multiple edges are automatically removed!
 Also, unconnected graphs are made connected!</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="StructuralException.html" title="class in import hk.quantr.mxgraph.analysis">StructuralException</a></code> - the graph has to be simple (no self-loops and no multiple edges)</dd>
</dl>
</li>
</ul>
<a id="getKnightTour(import hk.quantr.mxgraph.analysis.mxAnalysisGraph,int,int,int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getKnightTour</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;getKnightTour&#8203;(<a href="mxAnalysisGraph.html" title="class in import hk.quantr.mxgraph.analysis">mxAnalysisGraph</a>&nbsp;aGraph,
                          int&nbsp;xDim,
                          int&nbsp;yDim,
                          int&nbsp;startVertexValue)
                   throws <a href="StructuralException.html" title="class in import hk.quantr.mxgraph.analysis">StructuralException</a></pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>aGraph</code> - </dd>
<dd><code>xDim</code> - x dimension of the chessboard</dd>
<dd><code>yDim</code> - y dimension of the chessboard</dd>
<dd><code>startVertexValue</code> - vertex where the tour will start</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="StructuralException.html" title="class in import hk.quantr.mxgraph.analysis">StructuralException</a></code> - not all size combinations are allowed, see wikipedia for a more detailed explanation
 Returns a Knight's Tour graph</dd>
</dl>
</li>
</ul>
<a id="getCostFunction()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCostFunction</h4>
<pre class="methodSignature">public&nbsp;<a href="../costfunction/mxCostFunction.html" title="class in import hk.quantr.mxgraph.costfunction">mxCostFunction</a>&nbsp;getCostFunction()</pre>
</li>
</ul>
<a id="setCostFunction(import hk.quantr.mxgraph.costfunction.mxCostFunction)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setCostFunction</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setCostFunction&#8203;(<a href="../costfunction/mxCostFunction.html" title="class in import hk.quantr.mxgraph.costfunction">mxCostFunction</a>&nbsp;costFunction)</pre>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/mxGraphGenerator.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage"><p><b>JGraph X 4.2.2</b></p></div>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
<p class="legalCopy"><small><font size=1>Copyright (c) 2010 <a href="http://www.mxgraph.com/"
				target="_blank">Gaudenz Alder</a>. All rights reserved.</font></small></p>
</footer>
</body>
</html>
